Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.logging.log4j.core
Enum LifeCycle.State

    java.lang.Object
      java.lang.Enum<LifeCycle.State>
          org.apache.logging.log4j.core.LifeCycle.State

All Implemented Interfaces:
  Serializable, Comparable<LifeCycle.State>

Enclosing interface:
  LifeCycle

    public static enum LifeCycle.State

extends Enum<LifeCycle.State>

Status of a life cycle like a `LoggerContext`.

Enum Constant Summary
`INITIALIZED` Initialized but not yet started.
`STARTED` Has started.
`STARTING` In the process of starting.
`STOPPED` Has stopped.
`STOPPING` Stopping is in progress.

Method Summary
`static LifeCycle.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LifeCycle.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INITIALIZED

    public static final LifeCycle.State INITIALIZED

  Initialized but not yet started.

### STARTING

    public static final LifeCycle.State STARTING

  In the process of starting.

### STARTED

    public static final LifeCycle.State STARTED

  Has started.

### STOPPING

    public static final LifeCycle.State STOPPING

  Stopping is in progress.

### STOPPED

    public static final LifeCycle.State STOPPED

  Has stopped.

Method Detail

### values

    public static LifeCycle.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LifeCycle.State c : LifeCycle.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LifeCycle.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.